ORIGIN = PWB
ORIGIN_VER = 2.0
PROJ = ITUNETSR
PROJFILE = ITUNETSR.MAK
DEBUG = 0

CC  = cl
CFLAGS_G  = /W3 /G2 /Gy /WX /BATCH
CFLAGS_D  = /f- /Od /FPa /Zi /Gs
CFLAGS_R  = /f- /Ot /Ol /Og /Oc /Oe /FPa /Gs
CXX  = cl
CXXFLAGS_G  = /W3 /G2 /Gy /DFREESTORESIZE=4096 /WX /BATCH
CXXFLAGS_D  = /f- /Od /FPa /Zi /Gs
CXXFLAGS_R  = /f- /Ot /Ol /Og /Oc /Oe /Ow /FPa /Gs
MAPFILE_D  = $(PROJ).map
MAPFILE_R  = $(PROJ).map
LFLAGS_G  = /NOI /STACK:4096 /BATCH /ONERROR:NOEXE
LFLAGS_D  = /CO /MAP /NOF /NOPACKC
LFLAGS_R  = /MAP:FULL /NOF /NOPACKC
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS  = /a /e

FILES  = CFG.CPP CMD.CPP COMDRV.CPP CONTROL.CPP DOSPC.CPP FT736.CPP\
	INTTIMER.CPP ISTSR.CPP KENWOOD.CPP MBRADIO.CPP MEMMGR.CPP PARSER.CPP\
	PICDRV.CPP PPDRV.CPP RADIO.CPP SLINK.CPP STRTAB.CPP XPDRBASE.CPP\
	XPDRINV.CPP KBDTUNE.CPP FT847.CPP ICOMMSG.CPP ICOM.CPP FT100.CPP\
	FT817.CPP TS790.CPP TS2000.CPP ICOMHF.CPP DEBUG.CPP
OBJS  = CFG.obj CMD.obj COMDRV.obj CONTROL.obj DOSPC.obj FT736.obj\
	INTTIMER.obj ISTSR.obj KENWOOD.obj MBRADIO.obj MEMMGR.obj PARSER.obj\
	PICDRV.obj PPDRV.obj RADIO.obj SLINK.obj STRTAB.obj XPDRBASE.obj\
	XPDRINV.obj KBDTUNE.obj FT847.obj ICOMMSG.obj ICOM.obj FT100.obj\
	FT817.obj TS790.obj TS2000.obj ICOMHF.obj DEBUG.obj

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES:
.SUFFIXES: .obj .cpp

CFG.obj : CFG.CPP cfg.hpp loctypes.h parser.hpp sat.hpp radio.hpp strtab.hpp\
	modulate.hpp xpdrbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoCFG.obj CFG.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoCFG.obj CFG.CPP
<<
!ENDIF

CMD.obj : CMD.CPP cmd.hpp dospc.h istsr.hpp inttimer.hpp control.hpp\
	version.hpp loctypes.h debug.hpp sat.hpp radio.hpp modulate.hpp\
	xpdrbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoCMD.obj CMD.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoCMD.obj CMD.CPP
<<
!ENDIF

COMDRV.obj : COMDRV.CPP comdrv.hpp loctypes.h dospc.h fastfifo.hpp uartdrv.hpp\
	picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoCOMDRV.obj COMDRV.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoCOMDRV.obj COMDRV.CPP
<<
!ENDIF

CONTROL.obj : CONTROL.CPP control.hpp dospc.h memmgr.hpp cfg.hpp loctypes.h\
	sat.hpp radio.hpp parser.hpp strtab.hpp modulate.hpp xpdrbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoCONTROL.obj CONTROL.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoCONTROL.obj CONTROL.CPP
<<
!ENDIF

DOSPC.obj : DOSPC.CPP dospc.h loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoDOSPC.obj DOSPC.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoDOSPC.obj DOSPC.CPP
<<
!ENDIF

FT736.obj : FT736.CPP ft736.hpp loctypes.h radio.hpp comdrv.hpp inttimer.hpp\
	kbdtune.hpp modulate.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp\
	uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoFT736.obj FT736.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoFT736.obj FT736.CPP
<<
!ENDIF

INTTIMER.obj : INTTIMER.CPP inttimer.hpp loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoINTTIMER.obj INTTIMER.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoINTTIMER.obj INTTIMER.CPP
<<
!ENDIF

ISTSR.obj : ISTSR.CPP istsr.hpp dospc.h loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoISTSR.obj ISTSR.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoISTSR.obj ISTSR.CPP
<<
!ENDIF

KENWOOD.obj : KENWOOD.CPP kenwood.hpp loctypes.h radio.hpp slink.hpp\
	modulate.hpp comdrv.hpp inttimer.hpp dospc.h fastfifo.hpp uartdrv.hpp\
	picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoKENWOOD.obj KENWOOD.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoKENWOOD.obj KENWOOD.CPP
<<
!ENDIF

MBRADIO.obj : MBRADIO.CPP mbradio.hpp loctypes.h ppdrv.hpp radio.hpp\
	kbdtune.hpp dospc.h inttimer.hpp modulate.hpp picdrv.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoMBRADIO.obj MBRADIO.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoMBRADIO.obj MBRADIO.CPP
<<
!ENDIF

MEMMGR.obj : MEMMGR.CPP memmgr.hpp loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoMEMMGR.obj MEMMGR.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoMEMMGR.obj MEMMGR.CPP
<<
!ENDIF

PARSER.obj : PARSER.CPP parser.hpp loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoPARSER.obj PARSER.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoPARSER.obj PARSER.CPP
<<
!ENDIF

PICDRV.obj : PICDRV.CPP picdrv.hpp loctypes.h dospc.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoPICDRV.obj PICDRV.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoPICDRV.obj PICDRV.CPP
<<
!ENDIF

PPDRV.obj : PPDRV.CPP ppdrv.hpp loctypes.h dospc.h inttimer.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoPPDRV.obj PPDRV.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoPPDRV.obj PPDRV.CPP
<<
!ENDIF

RADIO.obj : RADIO.CPP radio.hpp kenwood.hpp mbradio.hpp ft736.hpp ft847.hpp\
	ft100.hpp ft817.hpp icom.hpp ts790.hpp ts2000.hpp icomhf.hpp\
	loctypes.h modulate.hpp slink.hpp ppdrv.hpp kbdtune.hpp comdrv.hpp\
	inttimer.hpp icommsg.hpp dospc.h picdrv.hpp fastfifo.hpp uartdrv.hpp\
	uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoRADIO.obj RADIO.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoRADIO.obj RADIO.CPP
<<
!ENDIF

SLINK.obj : SLINK.CPP slink.hpp loctypes.h comdrv.hpp inttimer.hpp dospc.h\
	fastfifo.hpp uartdrv.hpp picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoSLINK.obj SLINK.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoSLINK.obj SLINK.CPP
<<
!ENDIF

STRTAB.obj : STRTAB.CPP strtab.hpp loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoSTRTAB.obj STRTAB.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoSTRTAB.obj STRTAB.CPP
<<
!ENDIF

XPDRBASE.obj : XPDRBASE.CPP xpdrbase.hpp xpdrfxd.hpp xpdrlin.hpp xpdrinv.hpp\
	loctypes.h modulate.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoXPDRBASE.obj XPDRBASE.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoXPDRBASE.obj XPDRBASE.CPP
<<
!ENDIF

XPDRINV.obj : XPDRINV.CPP xpdrinv.hpp loctypes.h xpdrbase.hpp modulate.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoXPDRINV.obj XPDRINV.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoXPDRINV.obj XPDRINV.CPP
<<
!ENDIF

KBDTUNE.obj : KBDTUNE.CPP kbdtune.hpp loctypes.h modulate.hpp dospc.h\
	picdrv.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoKBDTUNE.obj KBDTUNE.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoKBDTUNE.obj KBDTUNE.CPP
<<
!ENDIF

FT847.obj : FT847.CPP ft847.hpp loctypes.h radio.hpp comdrv.hpp inttimer.hpp\
	modulate.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoFT847.obj FT847.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoFT847.obj FT847.CPP
<<
!ENDIF

ICOMMSG.obj : ICOMMSG.CPP icommsg.hpp loctypes.h comdrv.hpp inttimer.hpp\
	modulate.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoICOMMSG.obj ICOMMSG.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoICOMMSG.obj ICOMMSG.CPP
<<
!ENDIF

ICOM.obj : ICOM.CPP icom.hpp loctypes.h radio.hpp icommsg.hpp modulate.hpp\
	comdrv.hpp inttimer.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp\
	uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoICOM.obj ICOM.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoICOM.obj ICOM.CPP
<<
!ENDIF

FT100.obj : FT100.CPP ft100.hpp loctypes.h radio.hpp comdrv.hpp inttimer.hpp\
	modulate.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoFT100.obj FT100.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoFT100.obj FT100.CPP
<<
!ENDIF

FT817.obj : FT817.CPP ft817.hpp loctypes.h radio.hpp comdrv.hpp inttimer.hpp\
	modulate.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoFT817.obj FT817.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoFT817.obj FT817.CPP
<<
!ENDIF

TS790.obj : TS790.CPP ts790.hpp loctypes.h radio.hpp slink.hpp modulate.hpp\
	comdrv.hpp inttimer.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp\
	uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoTS790.obj TS790.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoTS790.obj TS790.CPP
<<
!ENDIF

TS2000.obj : TS2000.CPP ts2000.hpp loctypes.h radio.hpp comdrv.hpp\
	inttimer.hpp modulate.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp\
	uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoTS2000.obj TS2000.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoTS2000.obj TS2000.CPP
<<
!ENDIF

ICOMHF.obj : ICOMHF.CPP icomhf.hpp debug.hpp loctypes.h radio.hpp icommsg.hpp\
	modulate.hpp comdrv.hpp inttimer.hpp dospc.h fastfifo.hpp uartdrv.hpp\
	picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoICOMHF.obj ICOMHF.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoICOMHF.obj ICOMHF.CPP
<<
!ENDIF

DEBUG.obj : DEBUG.CPP debug.hpp loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoDEBUG.obj DEBUG.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoDEBUG.obj DEBUG.CPP
<<
!ENDIF


$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
	$(LINKER) @$(PROJ).lrf


.cpp.obj :
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /Fo$@ $<
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /Fo$@ $<
<<
!ENDIF


run: $(PROJ).exe
	$(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
	CV $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
