/****************************************************************************
Date: 12/27/97
File: kbdtune.hpp

Description:	Keyboard Tuner Class
	
Public:
	KEYBOARDTUNER()
	~KEYBOARDTUNER()

	// NOTE: Interrupts must be disabled before calling these
	VOID	Activate();
	VOID	Deactivate();
	BOOL	HasUserTuned()
	LONG	GetVFOSteps()
	LONG	GetRITSteps()
	MODULATION GetModulation()

History:
	Initial Version

*****************************************************************************/
#ifndef KBDTUNE_HPP
#define KBDTUNE_HPP

#include "loctypes.h"
#include "modulate.hpp"	// modulation types
#include "dospc.h"	// DOS PC-specific
#include "picdrv.hpp"	// PIC driver class


class KEYBOARDTUNER {
private:
	BOOL		eActive;

	// no copy or assignment
	KEYBOARDTUNER(const KEYBOARDTUNER&);
	KEYBOARDTUNER& operator= (const KEYBOARDTUNER&);

public:
	KEYBOARDTUNER();
	~KEYBOARDTUNER();

	VOID	Activate();
	VOID	Deactivate();

	BOOL	HasUserTuned();
	LONG	GetVFOSteps();
	LONG	GetRITSteps();
	MODULATION GetModulation();
};
#endif // end kbdtune.hpp
